---
references:
- id: CharlesDistributed2016
  author:
    - family: Charles
      given: Adam
    - family: Yin
      given: Dong
    - family: Rozell
      given: Christopher
  citation-key: CharlesDistributed2016
  container-title: arXiv:1605.08346 [cs, math, stat]
  issued:
    - year: 2016
      month: 5
      day: 26
  title: Distributed Sequence Memory of Multidimensional Inputs in Recurrent Networks
  type: article-journal
  URL: http://arxiv.org/abs/1605.08346

- id: GordoEndtoend2016
  accessed:
    - year: 2017
      month: 10
      day: 16
  author:
    - family: Gordo
      given: Albert
    - family: Almazan
      given: Jon
    - family: Revaud
      given: Jerome
    - family: Larlus
      given: Diane
  citation-key: GordoEndtoend2016
  container-title: arXiv:1610.07940 [cs]
  issued:
    - year: 2016
      month: 10
      day: 25
  title: End-to-end Learning of Deep Visual Representations for Image Retrieval
  type: article-journal
  URL: http://arxiv.org/abs/1610.07940

- id: GravesHybrid2016
  accessed:
    - year: 2016
      month: 10
      day: 14
  author:
    - family: Graves
      given: Alex
    - family: Wayne
      given: Greg
    - family: Reynolds
      given: Malcolm
    - family: Harley
      given: Tim
    - family: Danihelka
      given: Ivo
    - family: Grabska-Barwińska
      given: Agnieszka
    - family: Colmenarejo
      given: Sergio Gómez
    - family: Grefenstette
      given: Edward
    - family: Ramalho
      given: Tiago
    - family: Agapiou
      given: John
    - family: Badia
      given: Adrià Puigdomènech
    - family: Hermann
      given: Karl Moritz
    - family: Zwols
      given: Yori
    - family: Ostrovski
      given: Georg
    - family: Cain
      given: Adam
    - family: King
      given: Helen
    - family: Summerfield
      given: Christopher
    - family: Blunsom
      given: Phil
    - family: Kavukcuoglu
      given: Koray
    - family: Hassabis
      given: Demis
  citation-key: GravesHybrid2016
  container-title: Nature
  container-title-short: Nature
  DOI: 10.1038/nature20101
  ISSN: 0028-0836
  issued:
    - year: 2016
      month: 10
      day: 12
  language: en
  title: Hybrid computing using a neural network with dynamic external memory
  type: article-journal
  volume: advance online publication

- id: GrefenstetteLearning2015
  accessed:
    - year: 2016
      month: 10
      day: 11
  author:
    - family: Grefenstette
      given: Edward
    - family: Hermann
      given: Karl Moritz
    - family: Suleyman
      given: Mustafa
    - family: Blunsom
      given: Phil
  citation-key: GrefenstetteLearning2015
  container-title: arXiv:1506.02516 [cs]
  issued:
    - year: 2015
      month: 6
      day: 8
  title: Learning to Transduce with Unbounded Memory
  type: article-journal
  URL: http://arxiv.org/abs/1506.02516

- id: HochreiterLong1997
  accessed:
    - year: 2016
      month: 3
      day: 30
  author:
    - family: Hochreiter
      given: Sepp
    - family: Schmidhuber
      given: Jürgen
  citation-key: HochreiterLong1997
  container-title: Neural Computation
  container-title-short: Neural Computation
  DOI: 10.1162/neco.1997.9.8.1735
  ISSN: 0899-7667
  issue: '8'
  issued:
    - year: 1997
      month: 11
      day: 1
  page: 1735-1780
  title: Long Short-Term Memory
  type: article-journal
  URL: >-
    http://didawiki.di.unipi.it/lib/exe/fetch.php/magistraleinformatica/aa2/lstm.pdf
  volume: '9'

- id: MunkhdalaiMetalearned2019
  accessed:
    - year: 2021
      month: 3
      day: 2
  author:
    - family: Munkhdalai
      given: Tsendsuren
    - family: Sordoni
      given: Alessandro
    - family: Wang
      given: Tong
    - family: Trischler
      given: Adam
  citation-key: MunkhdalaiMetalearned2019
  container-title: Advances In Neural Information Processing Systems
  event-title: NeurIPS
  issued:
    - year: 2019
      month: 12
      day: 3
  title: Metalearned Neural Memory
  type: paper-conference
  URL: http://arxiv.org/abs/1907.09720

- id: NagathanContentbased2014
  accessed:
    - year: 2017
      month: 10
      day: 16
  author:
    - family: Nagathan
      given: Arvind
    - family: Mungara
      given: Jitendranath
    - family: Manimozhi
      given: ''
  citation-key: NagathanContentbased2014
  container-title: International Journal of Computer Science and Network Security (IJCSNS)
  issue: '6'
  issued:
    - year: 2014
  page: '70'
  title: >-
    Content-based image retrieval system using feed-forward backpropagation
    neural network
  type: article-journal
  URL: http://paper.ijcsns.org/07_book/html/201406/201406013.html
  volume: '14'

- id: PatrauceanSpatiotemporal2015
  accessed:
    - year: 2016
      month: 11
      day: 1
  author:
    - family: Patraucean
      given: Viorica
    - family: Handa
      given: Ankur
    - family: Cipolla
      given: Roberto
  citation-key: PatrauceanSpatiotemporal2015
  container-title: arXiv:1511.06309 [cs]
  issued:
    - year: 2015
      month: 11
      day: 19
  title: Spatio-temporal video autoencoder with differentiable memory
  type: article-journal
  URL: http://arxiv.org/abs/1511.06309

- id: PerezGated2016
  accessed:
    - year: 2016
      month: 10
      day: 17
  author:
    - family: Perez
      given: Julien
    - family: Liu
      given: Fei
  citation-key: PerezGated2016
  container-title: arXiv:1610.04211 [cs, stat]
  issued:
    - year: 2016
      month: 10
      day: 13
  title: Gated End-to-End Memory Networks
  type: article-journal
  URL: http://arxiv.org/abs/1610.04211

- id: VoelkerLegendre
  author:
    - family: Voelker
      given: Aaron R
    - family: Kajic
      given: Ivana
    - family: Eliasmith
      given: Chris
  citation-key: VoelkerLegendre
  language: en
  page: '10'
  title: >-
    Legendre Memory Units: Continuous-Time Representation in Recurrent Neural
    Networks
  type: article-journal

- id: WeissExtracting2018
  accessed:
    - year: 2021
      month: 3
      day: 2
  author:
    - family: Weiss
      given: Gail
    - family: Goldberg
      given: Yoav
    - family: Yahav
      given: Eran
  citation-key: WeissExtracting2018
  container-title: International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  ISSN: 2640-3498
  issued:
    - year: 2018
      month: 7
      day: 3
  language: en
  page: 5247-5256
  publisher: PMLR
  title: >-
    Extracting Automata from Recurrent Neural Networks Using Queries and
    Counterexamples
  type: paper-conference
  URL: http://proceedings.mlr.press/v80/weiss18a.html

- id: WestonMemory2014
  accessed:
    - year: 2016
      month: 10
      day: 14
  author:
    - family: Weston
      given: Jason
    - family: Chopra
      given: Sumit
    - family: Bordes
      given: Antoine
  citation-key: WestonMemory2014
  container-title: arXiv:1410.3916 [cs, stat]
  issued:
    - year: 2014
      month: 10
      day: 14
  title: Memory Networks
  type: article-journal
  URL: http://arxiv.org/abs/1410.3916

- id: ZhanEvaluating2022
  accessed:
    - year: 2023
      month: 10
      day: 9
  author:
    - family: Zhan
      given: Jingtao
    - family: Xie
      given: Xiaohui
    - family: Mao
      given: Jiaxin
    - family: Liu
      given: Yiqun
    - family: Guo
      given: Jiafeng
    - family: Zhang
      given: Min
    - family: Ma
      given: Shaoping
  citation-key: ZhanEvaluating2022
  collection-title: CIKM '22
  container-title: >-
    Proceedings of the 31st ACM International Conference on Information &
    Knowledge Management
  DOI: 10.1145/3511808.3557312
  event-place: New York, NY, USA
  ISBN: 978-1-4503-9236-5
  issued:
    - year: 2022
      month: 10
      day: 17
  page: 2486–2496
  publisher: Association for Computing Machinery
  publisher-place: New York, NY, USA
  title: >-
    Evaluating Interpolation and Extrapolation Performance of Neural Retrieval
    Models
  type: paper-conference
...
